## hubzero-icewm 1.0.1

=== Makefile ===
# @package      hubzero-icewm
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2011 Purdue University. All rights reserved.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2011 Purdue University
# All rights reserved.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of Purdue University.
#

USRLIBDIR=$(DESTDIR)/usr/lib
USRSHAREDIR=$(DESTDIR)/usr/share
OWNER=root
GROUP=root
ICONS=applications-graphics.png  internet-web-browser.png	 system-help.png \
cbon.gif		   stock_copy.png		 text-editor.png \
document-export.png	   stock_export.png		 utilities-desktop-extra.png\
gedit-icon.png		   stock_insert-math-object.png  wrench.png

clean:
	@true

install:
	install -d $(USRSHAREDIR)/hubzero-icewm --owner $(OWNER) --group $(GROUP) --mode 0755
	install -d $(USRSHAREDIR)/hubzero-icewm/icons --owner $(OWNER) --group $(GROUP) --mode 0755
	install keys $(USRSHAREDIR)/hubzero-icewm --owner $(OWNER) --group $(GROUP) --mode 0644
	install menu $(USRSHAREDIR)/hubzero-icewm  --owner $(OWNER) --group $(GROUP) --mode 0644
	install toolbar $(USRSHAREDIR)/hubzero-icewm --owner $(OWNER) --group $(GROUP) --mode 0644
	install preferences $(USRSHAREDIR)/hubzero-icewm --owner $(OWNER) --group $(GROUP) --mode 0644
	install theme $(USRSHAREDIR)/hubzero-icewm --owner $(OWNER) --group $(GROUP) --mode 0644
	install --owner $(OWNER) --group $(GROUP) --mode 0755 -d $(USRLIBDIR)/hubzero
	install --owner $(OWNER) --group $(GROUP) --mode 0755 -d $(USRLIBDIR)/hubzero/bin
	install icewm-hubzero $(USRLIBDIR)/hubzero/bin --owner $(OWNER) --group $(GROUP) --mode 0755
	cp -rp icons/*  $(USRSHAREDIR)/hubzero-icewm/icons
	chown -R root.root $(USRSHAREDIR)/hubzero-icewm/icons
	chmod 0744 $(USRSHAREDIR)/hubzero-icewm/icons/*

## hubzero-icewm 1.0.2

=== Makefile ===
--- 
+++ 
@@ -26,29 +26,23 @@
 # HUBzero is a registered trademark of Purdue University.
 #
 
-USRLIBDIR=$(DESTDIR)/usr/lib
+USRBINDIR=$(DESTDIR)/usr/bin
 USRSHAREDIR=$(DESTDIR)/usr/share
 OWNER=root
 GROUP=root
-ICONS=applications-graphics.png  internet-web-browser.png	 system-help.png \
-cbon.gif		   stock_copy.png		 text-editor.png \
-document-export.png	   stock_export.png		 utilities-desktop-extra.png\
-gedit-icon.png		   stock_insert-math-object.png  wrench.png
 
 clean:
 	@true
 
 install:
 	install -d $(USRSHAREDIR)/hubzero-icewm --owner $(OWNER) --group $(GROUP) --mode 0755
-	install -d $(USRSHAREDIR)/hubzero-icewm/icons --owner $(OWNER) --group $(GROUP) --mode 0755
 	install keys $(USRSHAREDIR)/hubzero-icewm --owner $(OWNER) --group $(GROUP) --mode 0644
 	install menu $(USRSHAREDIR)/hubzero-icewm  --owner $(OWNER) --group $(GROUP) --mode 0644
 	install toolbar $(USRSHAREDIR)/hubzero-icewm --owner $(OWNER) --group $(GROUP) --mode 0644
 	install preferences $(USRSHAREDIR)/hubzero-icewm --owner $(OWNER) --group $(GROUP) --mode 0644
 	install theme $(USRSHAREDIR)/hubzero-icewm --owner $(OWNER) --group $(GROUP) --mode 0644
-	install --owner $(OWNER) --group $(GROUP) --mode 0755 -d $(USRLIBDIR)/hubzero
-	install --owner $(OWNER) --group $(GROUP) --mode 0755 -d $(USRLIBDIR)/hubzero/bin
-	install icewm-hubzero $(USRLIBDIR)/hubzero/bin --owner $(OWNER) --group $(GROUP) --mode 0755
-	cp -rp icons/*  $(USRSHAREDIR)/hubzero-icewm/icons
-	chown -R root.root $(USRSHAREDIR)/hubzero-icewm/icons
-	chmod 0744 $(USRSHAREDIR)/hubzero-icewm/icons/*
+	install -d $(USRSHAREDIR)/hubzero-icewm/icons --owner $(OWNER) --group $(GROUP) --mode 0755
+	@for i in icons/*; do \
+	    install $$i $(USRSHAREDIR)/hubzero-icewm/icons --owner $(OWNER) --group $(GROUP) --mode 0644; \
+	done
+	install icewm-hubzero $(USRBINDIR) --owner $(OWNER) --group $(GROUP) --mode 0755

## hubzero-icewm 1.0.3

=== Makefile ===
--- 
+++ 
@@ -45,4 +45,4 @@
 	@for i in icons/*; do \
 	    install $$i $(USRSHAREDIR)/hubzero-icewm/icons --owner $(OWNER) --group $(GROUP) --mode 0644; \
 	done
-	install icewm-hubzero $(USRBINDIR) --owner $(OWNER) --group $(GROUP) --mode 0755
+	install icewm-hubzero $(USRBINDIR)/icewm-hubzero --owner $(OWNER) --group $(GROUP) --mode 0755

## hubzero-icewm 1.1.0

=== Makefile ===
--- 
+++ 
@@ -45,4 +45,4 @@
 	@for i in icons/*; do \
 	    install $$i $(USRSHAREDIR)/hubzero-icewm/icons --owner $(OWNER) --group $(GROUP) --mode 0644; \
 	done
-	install icewm-hubzero $(USRBINDIR)/icewm-hubzero --owner $(OWNER) --group $(GROUP) --mode 0755
+	install -D icewm-hubzero $(USRBINDIR)/icewm-hubzero --owner $(OWNER) --group $(GROUP) --mode 0755

## hubzero-icewm 1.1.1

=== Makefile ===
# @package      hubzero-icewm
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2012 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2012 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRBINDIR=$(DESTDIR)/usr/bin
USRSHAREDIR=$(DESTDIR)/usr/share

default:
	@true

install:
	install -d $(USRSHAREDIR)/hubzero-icewm --mode 0755
	install keys $(USRSHAREDIR)/hubzero-icewm --mode 0644
	install menu $(USRSHAREDIR)/hubzero-icewm  --mode 0644
	install toolbar $(USRSHAREDIR)/hubzero-icewm --mode 0644
	install preferences $(USRSHAREDIR)/hubzero-icewm --mode 0644
	install theme $(USRSHAREDIR)/hubzero-icewm --mode 0644
	install -d $(USRSHAREDIR)/hubzero-icewm/icons --mode 0755
	@for i in icons/*; do \
	    install $$i $(USRSHAREDIR)/hubzero-icewm/icons --mode 0644; \
	done
	install -D icewm-hubzero $(USRBINDIR)/icewm-hubzero --mode 0755

clean:
	@true

## hubzero-icewm 1.1.3

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-icewm
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2012 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2013 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2012 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2013 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

## hubzero-icewm 1.1.4

=== Makefile ===
--- 
+++ 
@@ -43,6 +43,7 @@
 	    install $$i $(USRSHAREDIR)/hubzero-icewm/icons --mode 0644; \
 	done
 	install -D icewm-hubzero $(USRBINDIR)/icewm-hubzero --mode 0755
+	install -D copy_rappture_examples $(USRBINDIR)/copy_rappture_examples --mode 0755
 
 clean:
 	@true

## hubzero-icewm 1.2.0

=== Makefile ===
# @package      hubzero-icewm
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRBIN=$(DESTDIR)/usr/bin
USRSHARE=$(DESTDIR)/usr/share

all:
	@true

install:
	install -d $(USRSHARE)/hubzero-icewm --mode 0755
	install keys $(USRSHARE)/hubzero-icewm --mode 0644
	install menu $(USRSHARE)/hubzero-icewm  --mode 0644
	install toolbar $(USRSHARE)/hubzero-icewm --mode 0644
	install preferences $(USRSHARE)/hubzero-icewm --mode 0644
	install theme $(USRSHARE)/hubzero-icewm --mode 0644
	install -d $(USRSHARE)/hubzero-icewm/icons --mode 0755
	@for i in icons/*; do \
	    install $$i $(USRSHARE)/hubzero-icewm/icons --mode 0644; \
	done
	install -D icewm-hubzero $(USRBIN)/icewm-hubzero --mode 0755
	install -D copy_rappture_examples $(USRBIN)/copy_rappture_examples --mode 0755

uninstall:
	@true

postinst:
	@true

clean:
	@true

.PHONY: all install uninstall postinst clean

## hubzero-icewm 1.3.1

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-icewm
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

## hubzero-icewm 2.0.0

=== Makefile ===
# @package      hubzero-icewm
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRBIN=$(DESTDIR)/usr/bin
USRSHARE=$(DESTDIR)/usr/share

all:
	@true

install:
	install -d $(USRSHARE)/hubzero-icewm --mode 0755
	install keys $(USRSHARE)/hubzero-icewm --mode 0644
	install menu $(USRSHARE)/hubzero-icewm  --mode 0644
	install toolbar $(USRSHARE)/hubzero-icewm --mode 0644
	install preferences $(USRSHARE)/hubzero-icewm --mode 0644
	install theme $(USRSHARE)/hubzero-icewm --mode 0644
	install -d $(USRSHARE)/hubzero-icewm/icons --mode 0755
	@for i in icons/*; do \
	    install $$i $(USRSHARE)/hubzero-icewm/icons --mode 0644; \
	done
	install -D icewm-hubzero $(USRBIN)/icewm-hubzero --mode 0755
	install -D copy_rappture_examples $(USRBIN)/copy_rappture_examples --mode 0755

uninstall:
	@true

postinst:
	@true

clean:
	@true

.PHONY: all install uninstall postinst clean

## hubzero-icewm 2.2.0-1+deb9

=== debian/changelog ===
hubzero-icewm (2.2.0-1+deb9) unstable; urgency=low

  * packaging update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 24 May 2018 14:08:02 -0400

hubzero-icewm (2.0.0-1) unstable; urgency=low

  * update copyright, license, version 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 29 Aug 2015 16:47:59 -0400

hubzero-icewm (1.3.1-1) unstable; urgency=low

  * copyright updates

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 16 Feb 2015 16:43:31 -0500

hubzero-icewm (1.2.0-1) unstable; urgency=low

  * Repackaged to support multiple Debian releases 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 10 Sep 2014 21:01:07 -0400

hubzero-icewm (1.1.4-1) unstable; urgency=low

  * removing hard coded rappture paths, instead we do a "use -e -r rappture"
  * adding copy_rappture_examples from the Rappture repository so we no
    longer have a dependency on Rappture for this command
  * adding geany to the list of editors in the menu
  * removing Rtk in favor of Rstudio Desktop that is installed in /apps on hubs

 -- Derrick Kearney <dsk@purdue.edu>  Thu, 10 Oct 2013 19:01:19 -0400

hubzero-icewm (1.1.3-1) unstable; urgency=low

  * update copyright years

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 24 Aug 2013 13:21:58 -0400

hubzero-icewm (1.1.2-1) unstable; urgency=low

  * update rappture paths, reflecting the change to /apps/share64
  * adding Rtk menu item
  * update url for rappture bootcamp

 -- Derrick Kearney <dsk@purdue.edu>  Tue, 21 May 2013 04:09:56 -0400

hubzero-icewm (1.1.1-1) unstable; urgency=low

  * update copyrights for HUBzero Foundation, LLC. and Debian 6 packaging

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 30 Aug 2012 11:04:08 -0400

hubzero-icewm (1.1.0-1) unstable; urgency=low

  * fix most lintian packaging errors

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 19 Mar 2012 10:25:33 -0400

hubzero-icewm (1.0.5-1) unstable; urgency=low

  * adding copy_rappture_examples to the menu

 -- Derrick Kearney <dsk@purdue.edu>  Sat, 25 Feb 2012 17:20:07 -0500

hubzero-icewm (1.0.4-1) unstable; urgency=low

  * fix name of executable /usr/bin/chuse

 -- Derrick Kearney <dsk@purdue.edu>  Sat, 25 Feb 2012 16:36:53 -0500

hubzero-icewm (1.0.3-1) unstable; urgency=low

  * remove unused debian docs and dirs
  * fix script installation into /usr/bin

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 08 Nov 2011 14:38:51 -0500

hubzero-icewm (1.0.2-1) unstable; urgency=low

  * Change references to filexfer and clientaction to /usr/bin

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 07 Nov 2011 15:12:51 -0500

hubzero-icewm (1.0.1-1) unstable; urgency=low

  * Adjusting install location of icewm-hubzero
  * Changes to how icons are installed

 -- Derrick Kearney <dsk@purdue.edu>  Mon, 17 Oct 2011 17:14:48 -0400

hubzero-icewm (1.0.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Updates for dash and sh complince in preparation to test
    in Debian Squeeze containers.

 -- Derrick Kearney <dsk@purdue.edu>  Tue, 04 Oct 2011 18:20:16 -0400

hubzero-icewm (1.0.0-1) unstable; urgency=low

  * Updated to 1.0

 -- John Rosheck <jrosheck@purdue.edu>  Fri, 08 Apr 2011 00:01:13 -0400

hubzero-icewm (0.9.3-1) unstable; urgency=low

  * Links fixed to go to proper directories now

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 03 Apr 2011 15:30:02 -0400

hubzero-icewm (0.9.2-1) unstable; urgency=low

  * Updated source/Makefile to properly load invoke script

 -- John Rosheck <jrosheck@purdue.edu>  Fri, 01 Apr 2011 17:27:14 -0400

hubzero-icewm (0.9.1-1) unstable; urgency=low

  * updating package, this was moved from hubzero-icewm-config

 -- John Rosheck <jrosheck@purdue.edu>  Wed, 23 Mar 2011 18:29:06 -0400

hubzero-icewm (0.9.0-1) unstable; urgency=low

  * Split hubzeo-icem into its own package

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 20 Mar 2011 16:03:28 -0400

hubzero-icewm-config (0.9.0-1) unstable; urgency=low

  * Updated copyright, moved to new repository.

 -- John Rosheck <jrosheck@purdue.edu>  Sun, 06 Mar 2011 03:54:22 -0500

hubzero-icewm-config (0.8.6-1) unstable; urgency=low

  * Non-maintainer upload.
  * Updated version for unstable repository, fixed control file

 -- John Rosheck <jrosheck@purdue.edu>  Fri, 24 Sep 2010 17:17:14 -0400

hubzero-icewm-config (0.8.5-1) stable; urgency=low

  * new upstream with fixed links in invoke

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 09 Apr 2010 16:21:55 -0400

hubzero-icewm-config (0.8.4-1) stable; urgency=low

  * new upstream based on hubzero's workspace

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 09 Apr 2010 16:16:56 -0400

hubzero-icewm-config (0.8.3-1) stable; urgency=low

  * fix invoke script to, umm, well, invoke

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 06 Apr 2010 19:28:16 -0400

hubzero-icewm-config (0.8.2-1) stable; urgency=low

  * Add execute permission to the invoke script 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 31 Mar 2010 12:04:16 -0400

hubzero-icewm-config (0.8.1-1) stable; urgency=low

  * Move installation to /usr/lib
  * Use a common invoke script located above config directories

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 27 Mar 2010 14:31:31 -0400

hubzero-icewm-config (0.8.0-1) unstable; urgency=low

  * Initial release.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 15 Mar 2010 14:24:24 -0500

=== debian/control ===
Source: hubzero-icewm
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-icewm
Architecture: all
Breaks: hubzero-filexfer (<<1.1), hubzero-mw-session (<<1.1)
Replaces: hubzero-icewm-config
Depends: icewm, x11-xserver-utils, ${misc:Depends}
Suggests: hubzero-filexfer (>=1.1), hubzero-mw-session (>=1.1), hubzero-chuse (>=1.1)
Description: Provides configuration information for using icewm with hubzero
 This package provides configuration information for using icewm with
 hubzero inside of containers.

## hubzero-icewm 2.2.1-1+deb8

=== debian/changelog ===
hubzero-icewm (2.2.1-1+deb8) unstable; urgency=low

  * add wmctrl workaround for icem 1.3.8 initial focus issues

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 21 Feb 2019 12:04:15 -0500

hubzero-icewm (2.2.0-1) unstable; urgency=low

  * packaging update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 24 May 2018 14:08:02 -0400

## hubzero-icewm 2.2.1-1+deb9

=== debian/changelog ===
hubzero-icewm (2.2.1-1+deb9) unstable; urgency=low

  * add wmctrl workaround for icem 1.3.8 initial focus issues

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 21 Feb 2019 12:04:15 -0500

## hubzero-icewm 2.2.2-1+deb8

=== debian/changelog ===
hubzero-icewm (2.2.2-1+deb8) unstable; urgency=low

  * remove original call to icewm-session 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 21 Feb 2019 16:29:28 -0500

hubzero-icewm (2.2.1-1) unstable; urgency=low

  * add wmctrl workaround for icem 1.3.8 initial focus issues

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 21 Feb 2019 12:04:15 -0500

## hubzero-icewm 2.2.2-1+deb9

=== debian/changelog ===
hubzero-icewm (2.2.2-1+deb9) unstable; urgency=low

  * remove original call to icewm-session 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 21 Feb 2019 16:29:28 -0500

## hubzero-icewm 2.2.2-1+deb10

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-icewm
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal

=== debian/changelog ===
hubzero-icewm (2.2.2-1+deb10) unstable; urgency=low

  * remove original call to icewm-session 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 21 Feb 2019 16:29:28 -0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Architecture: all
 Breaks: hubzero-filexfer (<<1.1), hubzero-mw-session (<<1.1)
 Replaces: hubzero-icewm-config
-Depends: icewm, x11-xserver-utils, ${misc:Depends}
+Depends: icewm, x11-xserver-utils, wmctrl, ${misc:Depends}
 Suggests: hubzero-filexfer (>=1.1), hubzero-mw-session (>=1.1), hubzero-chuse (>=1.1)
 Description: Provides configuration information for using icewm with hubzero
  This package provides configuration information for using icewm with

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-icewm
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-icewm install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep 
#binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-icewm 2.2.3-1+deb9

=== debian/changelog ===
hubzero-icewm (2.2.3-1+deb9) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 08:54:19 -0700

hubzero-icewm (2.2.2-1) unstable; urgency=low

  * remove original call to icewm-session 

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 21 Feb 2019 16:29:28 -0500

## hubzero-icewm 2.2.4-1+deb10

=== debian/changelog ===
hubzero-icewm (2.2.4-1+deb10) unstable; urgency=low

    startup xterm with login shell - enables use command

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 11 Aug 2022 10:43:33 -0700

hubzero-icewm (2.2.3-1) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 08:54:19 -0700

## hubzero-icewm 2.2.5-1+deb7

=== debian/changelog ===
hubzero-icewm (2.2.5-1+deb7) unstable; urgency=low

  * Debian 10 build fix

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 30 May 2023 09:49:29 -0700

hubzero-icewm (2.2.4-1) unstable; urgency=low

    startup xterm with login shell - enables use command

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 11 Aug 2022 10:43:33 -0700

## hubzero-icewm 2.2.5-1+deb10

=== debian/changelog ===
hubzero-icewm (2.2.5-1+deb10) unstable; urgency=low

  * Debian 10 build fix

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 30 May 2023 09:49:29 -0700

## hubzero-icewm 2.2.6-1+deb7

=== debian/changelog ===
hubzero-icewm (2.2.6-1+deb7) unstable; urgency=low

    x-terminal-emulator does not exist on RH/CentOS

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 02 Jun 2023 09:57:14 -0700

hubzero-icewm (2.2.5-1) unstable; urgency=low

  * Debian 10 build fix

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 30 May 2023 09:49:29 -0700

## hubzero-icewm 2.2.6-1+deb10

=== debian/changelog ===
hubzero-icewm (2.2.6-1+deb10) unstable; urgency=low

    x-terminal-emulator does not exist on RH/CentOS

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 02 Jun 2023 09:57:14 -0700

## hubzero-icewm 2.2.6-1+deb12

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-icewm
 # @file         Makefile
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -24,7 +23,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 USRBIN=$(DESTDIR)/usr/bin

=== debian/changelog ===
hubzero-icewm (2.2.6-1+deb12) unstable; urgency=low

    x-terminal-emulator does not exist on RH/CentOS

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 02 Jun 2023 09:57:14 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: hubzero-icewm
 Section: misc
 Priority: optional
-Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
+Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
 Build-Depends: debhelper (>= 8.0.0)
 Standards-Version: 3.8.4
 Homepage: http://hubzero.org

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,10 @@
 #
 # @package      hubzero-icewm
 # @file         rules
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -26,7 +25,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 # Uncomment this to turn on verbose mode.
